### Method

# Clutter Actor pick_frame_clock

#### Declaration [src]

    ClutterFrameClock*
    clutter_actor_pick_frame_clock (
      ClutterActor* self,
      ClutterActor** out_actor
    )

#### Description [src]

Pick the most suitable frame clock for driving animations for this actor.

The `ClutterActor` used for picking the frame clock is written `out_actor`.

This method is not directly available to language bindings.

#### Parameters

`out_actor`

  Type: `ClutterActor`

  A pointer to an `ClutterActor`.

  The argument will be set by the function.
  The argument can be set to `NULL` by the method.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

#### Return value

Type: `ClutterFrameClock`

A `ClutterFrameClock`.

The returned data is owned by the instance.
The return value can be `NULL`.